Print

Print


Sebastian Rahtz writes:
 > Philip Taylor writes:
 >  > >>   L:  works under LaTeX
 >  > >>   OL: works under LaTeX 2.09
 >  > >>   P:  works under plain TeX
 >  > >>   X:  support application, OS specific
 >  >
 >  > +:=  E1: requires e-TeX V1
 >  >      E2: requires e-TeX V2
 >  >      On: requires Omega Vn...
 >
 > shall we just let the authors provide this clue? rather than trying to
 > test it independently?

ideally yes, but that works only

 - if from the CTAN maintainers you provide a form that has to be
   filled out by everybody when
   making a contribution (otherwise you don't accept it)

 - it doesn't solve all the old stuff (although the old stuff doesn't
   need phil's additionals it still need or could do with the other).

in fact a different way to look at it is

  L: works with current LaTeX
  P: works with plain TeX
  X: support appl OS specific

all three i think can be easily be determined

  OL: works with 209

as you say is difficult so turn it into

  OL: might have worked with 209

which is essentially *5 in my other classification.

so i would just test for L and if not it goes -> OL (or *5)

a real test against a 209 version seems pointless to me a) which one
there have been so many, remember? b) why should we acutally spend
time to trace those packages. but the general distinction seems
sensible i'd say

frank